# Uses of Class
org.apache.sysds.hops.fedplanner.AFederatedPlanner

Packages that use AFederatedPlanner
Package
Description
org.apache.sysds.hops.fedplanner

## Uses of AFederatedPlanner in org.apache.sysds.hops.fedplanner

Subclasses of AFederatedPlanner in org.apache.sysds.hops.fedplanner
Modifier and Type
Class
Description
`class`
`FederatedPlannerFedAll`
Baseline federated planner that compiles all hops that support federated execution on federated inputs to forced federated operations.
`class`
`FederatedPlannerFedCostBased`
Baseline federated planner that compiles all hops that support federated execution on federated inputs to forced federated operations.
`class`
`FederatedPlannerFedHeuristic`
Methods in org.apache.sysds.hops.fedplanner that return AFederatedPlanner
Modifier and Type
Method
Description
`AFederatedPlanner`
FTypes.FederatedPlanner.`getPlanner()`